﻿using System;
using System.Collections.Specialized;
using System.Text;

namespace SpectacleTransformer {
    internal static class Utils {
        internal static string ToQueryString(NameValueCollection nvc) {
            if (nvc.Count <= 0) return "";
            StringBuilder sb = new StringBuilder("?");
            foreach (string key in nvc.AllKeys) {
                foreach (string value in nvc.GetValues(key)) {
                    sb.Append(Uri.EscapeUriString(key));
                    sb.Append("=");
                    sb.Append(Uri.EscapeUriString(value));
                    sb.Append("&");
                }
            }
            return sb.ToString().TrimEnd('&');
        }
    }
}
